Subject: Re: [idn] IDN rechartering rev 3

From: liana Ye <[email-masked]>
Date: Mon, 19 Nov 2001 02:01:05 -0800

I have one suggestion about the statment:

Language information is not encoded in these identifiers.  That is,
"names" from different languages are defined in a single namespace.

"encoding" may take embedded form, such as kr-mot may not 
encoded to je2oru0, but can be encoded to kr-oru0.  I suggest "encode"
 is changed to "embedded". Such that

Language information is not embedded in these identifiers. That is
"names" from different languages are defined for a single namespace 
of DNS server. 

Liana 

On Mon, 19 Nov 2001 11:54:20 +0800 "James Seng/Personal"
<[email-masked]> writes:
> > There has been no further discussion about the revised charter, for
> more
> > than one week.  That suggests that it is time to adopt it and send 
> it
> to
> > the IESG.
> 
> Adjusted Nameprep milestone in response to David's suggestion. If 
> there
> is no further comments, this will be forward to the ADs.
> 
> -James Seng
> 
> ---
> Domain Names are Internet identifiers. They are used both for
> machine and human processing, so the form of a Domain Name must
> be convenient for both processing venues.  The current set of valid
> Domain Name characters is limited to common Internet ASCII, which
> is inadequate for the broad range of human Internet users.  This
> working group will produce a standards-track specification for
> extending the range of characters that can be used in Domain Names,
> by humans. The enhancement will be designed to minimize changes to
> existing Domain Name software and operations. In particular, changes
> to the DNS infrastructure of storage and exchange mechanisms will
> be avoided.
> 
> The technical approach for the current specification effort shall be 
> to
> permit use of international character, as recommended by the IAB, 
> and
> then encode the characters, to permit their transmission and storage
> within existing DNS mechanisms.  Hence this enhancement to the DNS
> involves only end-user software.  In particular software that needs 
> to
> be changed is restricted to:  DNS client.  No other modules will 
> need
> to be changed.
> 
> Language information is not encoded in these identifiers.  That is,
> "names" from different languages are defined in a single namespace.
> 
> The WG will rely on, and reference, work from established efforts to
> internationalize digital characters, such as, Unicode Consortium and
> ISO/IEC.  Discussion of new codepoints, codepoint properties and
> mappings between codepoints is appropriate for these other venues,
> and is out of scope of this working group.
> 
> The group will not address the question of what, if any, body should
> administer or control usage of names that use this functionality.
> 
> The group will identify consequences to the current deployed DNS
> infrastructure, the protocols and the applications as well as 
> transition
> scenarios, where applicable.
> 
> The working group will actively ensure communication with interested
> groups who are studying the same, or related, topics.
> 
> The Action Item(s) for the Working Group are:
> 
> 1.  An Informational RFC specifying the requirements for providing
> International character sets in domain names. The document should
> provide guidance for developing solutions to this problem, taking
> localized (e.g. writing order) and related operational issues into
> consideration.
> 
> 2.  A standard track specification on permitting international
> characters
> in domain names, including specifying any transition issues.
> 
> 3.  A standard track specification on an ASCII Compatible Encoding
> (ACE),
> to be used in the standard track specification on permitting
> international
> characters in domain names.
> 
> 4.  A standard track specification on normalization of domain name
> identifiers for the purpose of string comparisons. This document may
> include case folding, map outs, and prohibited characters.
> 
> Goal & Milestone:
> 
> Dec 2001        ACE specification send to IESG for advancement
> 
> Dec 2001        domain name identifiers normalization draft last 
> call
> Jan 2002        domain name identifiers normalization draft send to 
> IESG
>                 for advancement
> 
> Nov 2001        Draft of architecture relating input methods, 
> namepreps
>                 and zonefiles
> Dec 2001        Second draft of architecture draft
> Feb 2002        Architecture draft last call
> Mar 2002        Architecture draft send to IESG for advancement
> 
> Dec 2001        IDN Protocol draft wg last call
> Jan 2002        IDN Protocol draft send to IESG for advancement
> 
> 
>